<template>
    <div>
      <div class="container">
        <div class="row mb-5" >
            <div class="col-md-3"></div>
            <div class ="col-md-6">
                <div class="card">
                    <div class="card-header">
                        <h2 class="text-center">Modification de l'objet</h2>
                    </div>
                    <b-card-body> 
                        <form @submit.prevent="submitForm">
                            <b-row class="mb-3">
                                <label for="typeObjet">Type objet</label>
                                <select id="typeObjet" class="form-control" name="type_objet" v-model="objet.type_objet">
                                    <option value = "Piece identite">Piece Identite</option>
                                    <option value="Passport">Passport</option>
                                    <option value="Permis de conduire" >Permis de conduire</option>
                                    <option value="Autre">Autres</option>
                                </select>
                            </b-row>
                            <b-row class="mb-3">
                                <b-form-file :state="Boolean(image_objet)" placeholder="Choisir un fichier ou le faire glisser ici..."
                                    drop-placeholder="glisser le fichier ici..."></b-form-file>
                                    <div class="mt-3">fichier selectionner : {{ image_objet ? image_objet.name : '' }}</div>
                            </b-row>

                            <b-row class="mb-3">
                                <!-- <label for="date">la date à laquelle vous l'avez trouvé</label> -->
                                <b-form-input type="date" name="date_objet" id = "date" class="form-control" v-model="objet.date_objet" />
                            </b-row>

                            <b-row class="mb-2">
                                <b-form-textarea name="detail_objet" v-model="objet.detail_objet" class="form-control" placeholder="detail" rows="4"></b-form-textarea>
                            </b-row>
                            <b-row >
                                <b-button type="submit" variant="info">Enregistrer</b-button>
                            </b-row>
                        </form>
                    </b-card-body>
                </div>   
            </div>
            <div class="col-md-3"></div>
            </div>
      </div>
    </div>
</template>


<script> 
   export default {
       
       data : () => ({
           objet : {
                type_objet: "Permis de conduire",
                date_objet: "12/05/2020",
                image_objet: null,
                detail_objet: "lorem ceci est du detail"
            }
        })
    }
</script>
